Skip to main content
GET
/
v2
/
temporary-evse-statuses
Get all Temporary EVSE Statuses
curl --request GET \
  --url https://api.spirii.com/v2/temporary-evse-statuses
[
  {
    "id": 42,
    "temporaryStatus": "MAINTENANCE",
    "evseId": "DK*SPI*E123*1",
    "validFrom": "2023-01-01T12:00:00Z",
    "validTo": "2023-01-01T14:00:00Z"
  }
]

Query Parameters

evseId
string

Filter by EVSE ID

Example:

"DK*SPI*E123*1"

activeOnly
string
default:true

Only return active temporary evse statuses

Response

The Temporary EVSE Statuses have been successfully retrieved

id
number
required

The unique identifier for the Temporary EVSE Status

Example:

42

temporaryStatus
enum<string>
required

Status of the Temporary EVSE Status

Available options:
MAINTENANCE,
COMMISSIONING,
BLOCKED,
RESERVED
Example:

"MAINTENANCE"

evseId
string
required

The EVSE ID

Example:

"DK*SPI*E123*1"

validFrom
string

The start date and time of the Temporary EVSE Status

Example:

"2023-01-01T12:00:00Z"

validTo
string

The end date and time of the Temporary EVSE Status

Example:

"2023-01-01T14:00:00Z"